Subject: bug#11424: coreutils: split tests hang on /dev/zero on GNU/Hurd

From: Paul Eggert <[email-masked]>
Date: Wed, 09 May 2012 14:45:19 -0700

On 05/09/2012 03:14 AM, Jim Meyering wrote:
> I think Pádraig's question about dd's skip seeking to EOF on an
> actual tape device is the most important to address.

Yes indeed, I think that part of my change should be backed out
at least for now (so close before a release).

Part of the issue is that it's not clear what lseek (fd, N, SEEK_SET)
does on tape devices where N exceeds the length of the file.  My
vague recollection is that such lseeks return L, where L is the
file length, but I can't cite chapter and verse on that right now.
This would suggest further fixes in this area -- but later.

> Your stat.c change is actually a bug fix, so I'd prefer to
> put it in a separate commit.  I did that for you.  Let me know
> if the change below is ok and I'll push it -- or you're welcome
> to make any change you'd like and push it yourself.

Yes, please push that.  I'll try to squeeze some time free
to look at this in the next day or two.